<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2012                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

function mod_latest_slider($module_id){

	$inCore = cmsCore::getInstance();
	$inDB   = cmsDatabase::getInstance();
	$inCore->loadModel('content');
	$model = new cms_model_content();

	$cfg = $inCore->loadModuleConfig($module_id);

	if (!isset($cfg['subs'])) { $cfg['subs'] = 1; }
	if (!isset($cfg['cat_id'])) { $cfg['cat_id'] = 1; }
	if (!isset($cfg['newscount'])) { $cfg['newscount'] = 5; }
	if (!isset($cfg['titlechar'])) { $cfg['titlechar'] = 100; }
	if (!isset($cfg['width'])) { $cfg['width'] = 900; }
	if (!isset($cfg['height'])) { $cfg['height'] = 400; }

	if($cfg['cat_id']){

		if (!$cfg['subs']){
	
			//выбираем из категории
			$model->whereCatIs($cfg['cat_id']);
	
		} else {
	
			//выбираем из категории и подкатегорий
			$rootcat = $inDB->getNsCategory('cms_category', $cfg['cat_id']);
			if(!$rootcat) { return false; }
			$model->whereThisAndNestedCats($rootcat['NSLeft'], $rootcat['NSRight']);
	
		}

	}
       
	   $group_id = cmsDatabase::getInstance()->get_field('cms_users', "id = '{$inUser->id}'", 'group_id');
    if($group_id == 10){$user = 'children';}
	
	
	
	$inDB->where("con.showlatest = 1");

	$inDB->orderBy('con.pubdate', 'DESC');
	$inDB->limitPage(1, $cfg['newscount']);

	$content_list = $model->getArticlesList();
	if(!$content_list) { return false; }

	cmsPage::initTemplate('modules', 'mod_latest_slider.tpl')->			
	        assign('articles', $content_list)->
	        assign('module_id', $module_id)->
	        assign('cfg', $cfg)->
	        display('mod_latest_slider.tpl');			

	return true;

}
?>